Debian Bug report logs - #370339
sysklogd: Make some conffiles automatically configurable

version graph

Package: sysklogd; Maintainer for sysklogd is Martin Schulze <joey@debian.org>;

Reported by: Luk Claes <luk@debian.org>

Date: Sun, 4 Jun 2006 17:48:12 UTC

Severity: wishlist

Tags: patch

Fixed in version 1.5-6.2+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Luk Claes <luk@debian.org>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Luk Claes <luk@debian.org>
To: submit@bugs.debian.org
Subject: Make some conffiles automatically configurable
Date: Sun, 04 Jun 2006 19:41:10 +0200
[Message part 1 (text/plain, inline)]
Package: sysklogd
Severity: wishlist

Hi

Automatically configuring sysklogd is not policy compliant for the
moment as one needs to edit conffiles in the process. Debian-Edu for
instance wants to touch etc/init.d/sysklogd and etc/syslog.conf.

A solution might be to include some file if it exists in the
configuration...

Cheers

Luk

-- 
Luk Claes - http://people.debian.org/~luk - GPG key 1024D/9B7C328D
Fingerprint:   D5AF 25FB 316B 53BB 08E7   F999 E544 DE07 9B7C 328D


[signature.asc (application/pgp-signature, inline)]
[signature.asc (application/pgp-signature, attachment)]

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, and 370351 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs removed: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Blocking bugs added: 370319, 370324, 370332, 370337, 370338, 370339, 370340, 370342, 370343, 370344, 370346, 370347, 370348, 370349, 370350, 370351, and 370393 Request was from Luk Claes <luk@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Holger Levsen <debian@layer-acht.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <patrick.winnertz@skolelinux.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #18 received at 370339@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <patrick.winnertz@skolelinux.org>
To: 370339@bugs.debian.org
Subject: proposed patch for sysklogd
Date: Tue, 19 Sep 2006 15:41:13 +0200
[Message part 1 (text/plain, inline)]
Hello

Here is a small patch for sysklogd to make it preseedable for CDD's 

So they can work policy conform. 

the debconf question will be ask only if priority == low , so a normal
user won't see this question.

I doesn't use po-debconf in this patch, since I doesn't want to add a
build-depends, as the maintainer seems to want this package completly
build-depends free (so even debhelper isn't use, so I installed the
things manually).

Greetings
Patrick
[sysklogd.debdiff (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <debian@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #23 received at 370339@bugs.debian.org (full text, mbox):

From: Holger Levsen <debian@layer-acht.org>
To: 370339@bugs.debian.org
Subject: maintainer doesnt want to use this patch, because...
Date: Wed, 20 Sep 2006 16:07:28 +0200
[Message part 1 (text/plain, inline)]
Hi,

as the reasons why Joey doesnt want to accept this patch were discussed on the 
german irc channel already, I asked Joey if I can add his reasons here:

<h01ger> Joey doesnt want to use this patch, because he thinks that adding 
debconf as a dependency is bloat and manually editing the config file by an 
admin or with cfengine from a package works well. He says, those questions 
are not needed for most default installations and they only cover special 
cases.

<Joey> hup, fine.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <debian@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #28 received at 370339@bugs.debian.org (full text, mbox):

From: Holger Levsen <debian@layer-acht.org>
To: 370339@bugs.debian.org
Subject: what this patch does...
Date: Thu, 21 Sep 2006 09:53:15 +0200
[Message part 1 (text/plain, inline)]
Hi,

this patch allows (via a low priority debconf question) to enable remote 
logging and to define the host to which remote logging is enabled.

IME this is the second most used use-case for syslog and by no means special.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <patrick.winnertz@skolelinux.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #33 received at 370339@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <patrick.winnertz@skolelinux.org>
To: 370339@bugs.debian.org
Subject: New version of patch (without debconf translation & fixed typo)
Date: Thu, 21 Sep 2006 10:49:57 +0200
[Message part 1 (text/plain, inline)]
Hello,

here is a new version of the patch, in the first was a small typo, this
is fixed in this patch now. (Tested on 4 machines)

Greetings
Patrick
[sysklogd.debdiff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <debian@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #38 received at 370339@bugs.debian.org (full text, mbox):

From: Holger Levsen <debian@layer-acht.org>
To: 370339@bugs.debian.org, control@bugs.debian.org
Subject: how to proceed now...
Date: Thu, 21 Sep 2006 13:45:18 +0200
[Message part 1 (text/plain, inline)]
tag 370339 patch
thanks

Hi Joey,

I believe you (still) believe :) this is a too special case, so your reasoning 
and unwillingness to accept this (or a similar (*)) patch is still the same. 
If I'm wrong, I'll be very happy.

(*) similar, but also allowing to automagickally configure the package in a 
policy conforming way...

If I'm right, I will reassign this bug to the technical comitee to resolve the 
issue. Sorry.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Tags added: patch Request was from Holger Levsen <debian@layer-acht.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Steffen Joeris <Steffen.Joeris@skolelinux.de>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #45 received at 370339@bugs.debian.org (full text, mbox):

From: Steffen Joeris <Steffen.Joeris@skolelinux.de>
To: 370339@bugs.debian.org
Subject: what about without asking the question at all?
Date: Sun, 24 Sep 2006 22:52:45 +1000
[Message part 1 (text/plain, inline)]
Hi Joey

I completely understand your issues and I would agree, but what do you say if 
you don't show the debconf question at all?
Just don't input it and just do the other stuff, this way you only accept 
direct preseeding and the user will never ever (also in low priority mode) 
see the question.

Cheers
Steffen
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <patrick.winnertz@skolelinux.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>.

Your message did not contain a Subject field. They are recommended and useful because the title of a Bug is determined using this field. Please remember to include a Subject field in your messages in future.

Full text and rfc822 format available.


Message #50 received at 370339@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <patrick.winnertz@skolelinux.org>
To: 370339@bugs.debian.org
Date: Wed, 1 Aug 2007 21:25:45 +0200
Hello, 

This is just a little ping if to get to know what you (joey)  think about 
my patch I send about one year ago.

This patch is still needed for debian-edu and for many other server systems 
too...
To configure remote logging for syslog is common practice for servers and 
therefore I still have the opinion that this change would ease the 
installation for many people on server systems.

Greetings
Winnie
-- 
 .''`.   Patrick Winnertz <patrick.winnertz@skolelinux.org>
:  :' :  GNU/Linux Debian-Edu Developer
`. `'`   http://www.der-winnie.de http://d.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems



Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Patrick Winnertz <winnie@debian.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #55 received at 370339@bugs.debian.org (full text, mbox):

From: Patrick Winnertz <winnie@debian.org>
To: 370339@bugs.debian.org
Subject: any progress?
Date: Sun, 13 Jan 2008 13:29:48 +0100
[Message part 1 (text/plain, inline)]
Hello Martin,

I had today a bit too much time and looked again on the blocker bugs for 
the RC bug in debian-edu-config... 
Can you please give a short answer to this bug report if it would be 
possible to include this little fix (or any other which would make syslogd 
configurable via debconf).

Greetings
Patrick Winnertz
-- 
 .''`.   Patrick Winnertz <winnie@debian.org>
:  :' :  GNU/Linux Debian Developer
`. `'`   http://www.der-winnie.de http://d.skolelinux.org/~winnie
  `-  Debian - when you have better things to do than fixing systems
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #60 received at 370339@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: debian-edu@lists.debian.org, debian-devel@lists.debian.org, 370339@bugs.debian.org
Subject: Re: changing the default syslog daemon for lenny?
Date: Mon, 28 Jan 2008 11:38:21 +0100
[Message part 1 (text/plain, inline)]
Hi Javier, hi Joey,

On Monday 28 January 2008 10:51, Javier Fernandez-Sanguino wrote:
> 2008/1/28, Holger Levsen <holger@layer-acht.org>:
> > The main reason is that we need/want to configure syslogd via debconf (or
> > any other policy complient way) for remote logging and the sysklogd
> > maintainer doesn't want to provide it. See #370339 for details.
> I find it surprising that the maintainer himself has not pronounced
> his standing on the issue. The only reference to the maintainer is a
> cut & paste note from an IRC log which might or might not be true.
>
> The maintainer hasn't even tagged this issue (which is open for almost
> 2 years) as 'wontfix'. (!)

I agree that this bug should be tagged "wontfix", but I leave it to the 
maintainer to do it. 

But I have no reason not to believe the maintainer handles this bug 
as "wontfix", no (self-written) reply to the bug by him states this pretty 
well.

CC:ed Joey, so he can comment.


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#370339; Package sysklogd. Full text and rfc822 format available.

Acknowledgement sent to Holger Levsen <holger@layer-acht.org>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #65 received at 370339@bugs.debian.org (full text, mbox):

From: Holger Levsen <holger@layer-acht.org>
To: 370339@bugs.debian.org
Cc: control@bugs.debian.org
Subject: and so we switch to rsyslog...
Date: Sat, 5 Apr 2008 20:24:16 +0200
[Message part 1 (text/plain, inline)]
unblock 311188 by 370339
clone 370339 -1
retitle -1 please use rsyslog instead of syslogd
reassign -1 debian-edu 
kthxbye

Hi Joey,

and so we (Debian Edu) will switch to rsyslogd, thanks to Michael Biebl, the 
rsyslog maintainer who has done a great job in making this possible, see 
http://wiki.debian.org/Rsyslog - Debian will most likely follow ;)

Not closing this bug, as this is still a useful wishlist bug, even with a 
patch :-)


regards,
	Holger
[Message part 2 (application/pgp-signature, inline)]

Blocking bugs of 311188 removed: 370339 Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 18:27:04 GMT) Full text and rfc822 format available.

Bug 370339 cloned as bug 474449. Request was from Holger Levsen <holger@layer-acht.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 18:27:05 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 11 May 2013 10:50:30 GMT) Full text and rfc822 format available.

Notification sent to Luk Claes <luk@debian.org>:
Bug acknowledged by developer. (Sat, 11 May 2013 10:50:30 GMT) Full text and rfc822 format available.

Message #74 received at 370339-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 24326-done@bugs.debian.org,35325-done@bugs.debian.org,38781-done@bugs.debian.org,44523-done@bugs.debian.org,48326-done@bugs.debian.org,59662-done@bugs.debian.org,70429-done@bugs.debian.org,89677-done@bugs.debian.org,91804-done@bugs.debian.org,94285-done@bugs.debian.org,100043-done@bugs.debian.org,104278-done@bugs.debian.org,108653-done@bugs.debian.org,144790-done@bugs.debian.org,147471-done@bugs.debian.org,156232-done@bugs.debian.org,174038-done@bugs.debian.org,199989-done@bugs.debian.org,205239-done@bugs.debian.org,206947-done@bugs.debian.org,222120-done@bugs.debian.org,222245-done@bugs.debian.org,223554-done@bugs.debian.org,226036-done@bugs.debian.org,241657-done@bugs.debian.org,247680-done@bugs.debian.org,253213-done@bugs.debian.org,273269-done@bugs.debian.org,278892-done@bugs.debian.org,279120-done@bugs.debian.org,281448-done@bugs.debian.org,285087-done@bugs.debian.org,308580-done@bugs.debian.org,334295-done@bugs.debian.org,337389-done@bugs.debian.org,353744-done@bugs.debian.org,365265-done@bugs.debian.org,365339-done@bugs.debian.org,370339-done@bugs.debian.org,385292-done@bugs.debian.org,386122-done@bugs.debian.org,419496-done@bugs.debian.org,427415-done@bugs.debian.org,439833-done@bugs.debian.org,449581-done@bugs.debian.org,452559-done@bugs.debian.org,472948-done@bugs.debian.org,487173-done@bugs.debian.org,498777-done@bugs.debian.org,500776-done@bugs.debian.org,513217-done@bugs.debian.org,513218-done@bugs.debian.org,514051-done@bugs.debian.org,515696-done@bugs.debian.org,525959-done@bugs.debian.org,527874-done@bugs.debian.org,532300-done@bugs.debian.org,535498-done@bugs.debian.org,547968-done@bugs.debian.org,557119-done@bugs.debian.org,626244-done@bugs.debian.org,626247-done@bugs.debian.org,627404-done@bugs.debian.org,639872-done@bugs.debian.org,647023-done@bugs.debian.org,648166-done@bugs.debian.org,650428-done@bugs.debian.org,652086-done@bugs.debian.org,680099-done@bugs.debian.org,680170-done@bugs.debian.org,689578-done@bugs.debian.org,689686-done@bugs.debian.org,691700-done@bugs.debian.org,
Cc: sysklogd@packages.debian.org, sysklogd@packages.qa.debian.org
Subject: Bug#707655: Removed package(s) from unstable
Date: Sat, 11 May 2013 10:05:52 +0000
Version: 1.5-6.2+rm

Dear submitter,

as the package sysklogd has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/707655

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Ansgar Burchardt (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 09 Jun 2013 07:34:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:40:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.